/*
    Bantumi
    Copyright 2005, 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsj
    martin@martin.st
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "gui.h"
#include "tcpip.h"

void initGui() {
}

void showWarning(const char *str) {
	printf("%s\n", str);
}

Connection *showConnectDialog() {
	printf("Server host: ");
	fflush(stdout);
	char host[100];
	fgets(host, sizeof(host), stdin);
	int len = strlen(host);
	if (len > 0 && (host[len-1] == '\n' || host[len-1] == '\r'))
		host[--len] = '\0';
	if (len > 0 && (host[len-1] == '\n' || host[len-1] == '\r'))
		host[--len] = '\0';
	printf("Server port: ");
	fflush(stdout);
	char port[100];
	fgets(port, sizeof(port), stdin);
	const char *err;
	TCPConnection *conn = TCPConnection::startConnect(host, atoi(port), &err);
	if (!conn)
		showWarning(err);
	return conn;
}

Connection *showAcceptDialog() {
	printf("Server port: ");
	fflush(stdout);
	char port[100];
	fgets(port, sizeof(port), stdin);
	const char *err;
	TCPConnection *conn = TCPConnection::startAccept(atoi(port), &err);
	if (!conn)
		showWarning(err);
	return conn;
}

Connection *showMultiplayerDialog() {
	printf("Host or join? ");
	fflush(stdout);
	char answer[100];
	fgets(answer, sizeof(answer), stdin);
	char *ptr = answer;
	while (*ptr) {
		*ptr = tolower(*ptr);
		ptr++;
	}
	int len = strlen(answer);
	if (len > 0 && (answer[len-1] == '\r' || answer[len-1] == '\n'))
		answer[len-1] = '\0';
	if (len > 0 && (answer[len-1] == '\r' || answer[len-1] == '\n'))
		answer[len-1] = '\0';
	if (!strcmp(answer, "join"))
		return showConnectDialog();
	else
		return showAcceptDialog();
}


